### Function

# ECal util_get_component_occur_times

since: 2.32

#### Declaration [src]

    void
    e_cal_util_get_component_occur_times (
      ECalComponent* comp,
      time_t* out_start,
      time_t* out_end,
      ECalRecurResolveTimezoneCb tz_cb,
      gpointer tz_cb_data,
      const ICalTimezone* default_timezone,
      ICalComponentKind kind
    )

#### Description [src]

Find out when the component starts and stops, being careful about recurrences.

Available since: 2.32

#### Parameters

`comp`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the function.

`out_start`

  Type: `time_t*`

  Location to store the start time.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`out_end`

  Type: `time_t*`

  Location to store the end time.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`tz_cb`

  Type: `ECalRecurResolveTimezoneCb`

  The `ECalRecurResolveTimezoneCb` to call.

`tz_cb_data`

  Type: `gpointer`

  User data to be passed to the `tz_cb` callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`default_timezone`

  Type: `None`

  The default timezone.

  The data is owned by the caller of the function.

`kind`

  Type: `ICalComponentKind`

  The type of component, indicated with an `ICalComponentKind`.